## python-pyepics 3.5.8+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

INSTALLDIR = /home/newville/public_html/Epics/Python/pyepics3
INSTALLDIR = /www/apache/htdocs/software/python/pyepics3


# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest latexpdf
.PHONY: all install pdf

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The EPUB pages are in $(BUILDDIR)/epub."

pdf: latex
	cd $(BUILDDIR)/latex && pdflatex epics.tex
	cd $(BUILDDIR)/latex && makeindex -s python.ist epics.idx
	cd $(BUILDDIR)/latex && pdflatex epics.tex
	cp -pr $(BUILDDIR)/latex/epics.pdf $(BUILDDIR)/html/pyepics.pdf

all: html pdf

install: all
	cp -pr $(BUILDDIR)/latex/epics.pdf $(INSTALLDIR)/pyepics.pdf
	cp -pr $(BUILDDIR)/html/* $(INSTALLDIR)/.

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/epics.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/epics.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== tests/requirements.txt ===
channels:
  - conda-forge
  - lcls-ii
  - defaults
dependencies:
  - python>=3.6
  - numpy
  - pyparsing
  - pytest
  - pytest-cov
  - coverage
  - epics-core
  - procserv

## python-pyepics 3.4.1+ds

=== debian/changelog ===
python-pyepics (3.4.1+ds-3) unstable; urgency=medium

  * Remove autopkgtest-pkg-python
  * Limit internal tests to amd64 only

 -- Neil Williams <codehelp@debian.org>  Sat, 16 Jul 2022 17:56:16 +0100

python-pyepics (3.4.1+ds-2) unstable; urgency=medium

  * Source-only upload to support migration 
  * Restrict to amd64 only for EPICS support

 -- Neil Williams <codehelp@debian.org>  Fri, 15 Jul 2022 21:18:29 +0100

python-pyepics (3.4.1+ds-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: section
  * Fix doc package
  * Add myself to Uploaders and debian/ copyright
  * Better patch description for 0002
  * Update 0002 patch name
  * Add d/salsa-ci.yml
  * Do not use python3 for documentation package
  * Add d/gbp.conf
  * Tell autodep8 test to use epics as the module name
  * Depend on python3-pkg-resources

  [ Andrius Merkys ]
  * Initial release (Closes: #985486)

  [ Neil Williams ]
  * Bump debhelper support and standards version
  * Update d.copyright
  * Fix omissions in d.copyright

 -- Neil Williams <codehelp@debian.org>  Wed, 13 Jul 2022 10:39:22 +0100

=== debian/control ===
Source: python-pyepics
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Andrius Merkys <merkys@debian.org>,
 Sebastien Delafond <seb@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Neil Williams <codehelp@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libca-dev,
 libcom-dev,
 dh-python,
 python3-all:any,
 python3-numpy,
 python3-numpydoc <!nodoc>,
 python3-setuptools,
 python3-six,
 python3-sphinx <!nodoc>,
 python3-wxgtk4.0,
 python3-pyparsing
Standards-Version: 4.6.0
Homepage: https://pyepics.github.io/pyepics/
Vcs-Browser: https://salsa.debian.org/science-team/python-pyepics
Vcs-Git: https://salsa.debian.org/science-team/python-pyepics.git

Package: python3-pyepics
Architecture: amd64
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-pkg-resources,
 libca4.13.5,
 libcom3.17.6
Suggests: python-pyepics-doc
Description: EPICS channel access for Python
 PyEpics3 is a Python interface to the EPICS Channel Access (CA) library
 for the Experimental Physics and Industrial Control System (EPICS).
 .
 The PyEpics module includes both low-level (C-like) and higher-level access
 (with Python objects) to the EPICS Channel Access (CA) protocol. Python's
 ctypes library is used to wrap the basic CA functionality, with higher
 level objects on top of that basic interface. This approach has several
 advantages including no need for extension code written in C, better
 thread-safety, and easier installation on multiple platforms.
 .
 This package installs the library for Python 3.

Package: python-pyepics-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: EPICS channel access for Python (common documentation)
 PyEpics is a Python interface to the EPICS Channel Access (CA) library
 for the Experimental Physics and Industrial Control System (EPICS).
 .
 The PyEpics module includes both low-level (C-like) and higher-level access
 (with Python objects) to the EPICS Channel Access (CA) protocol. Python's
 ctypes library is used to wrap the basic CA functionality, with higher
 level objects on top of that basic interface. This approach has several
 advantages including no need for extension code written in C, better
 thread-safety, and easier installation on multiple platforms.
 .
 This is the PyEpics3 documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyepics
export NOLIBCA=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		python3 -m sphinx -N -b html doc build/html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -p python-pyepics-doc
endif

override_dh_clean:
	dh_clean
	$(RM) -r pyepics.egg-info

=== debian/tests/control ===
Tests: imports
Architecture: amd64
Depends: @

=== debian/watch ===
version=4

# PyPI
opts="repack,repacksuffix=+ds,dversionmangle=s/\+ds$//" \
https://pypi.debian.net/pyepics \
 /pyepics/pyepics-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyepics 3.5.1+ds

=== debian/changelog ===
python-pyepics (3.5.1+ds-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.5.1+ds
  * Bug fix: "hard-coded dependencies on libca4.13.5 and libcom3.17.6",
    thanks to Sebastian Ramacher (Closes: #1043066).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Aug 2023 21:01:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  Andrius Merkys <merkys@debian.org>,
  Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Neil Williams <codehelp@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libca-dev,
@@ -32,8 +31,8 @@
  ${python3:Depends},
  ${misc:Depends},
  python3-pkg-resources,
- libca4.13.5,
- libcom3.17.6
+ libca4.14.2,
+ libcom3.22.0
 Suggests: python-pyepics-doc
 Description: EPICS channel access for Python
  PyEpics3 is a Python interface to the EPICS Channel Access (CA) library

## python-pyepics 3.5.6+ds

=== debian/changelog ===
python-pyepics (3.5.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove dependency on python3-six
  * Refresh patches
  * Apply Multi-Arch hint

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jul 2024 00:08:40 +0200

python-pyepics (3.5.2+ds-1) unstable; urgency=medium

  * Team upload
  * d/watch: Import from GitHub
  * New upstream version 3.5.2+ds (Closes: #1058200)
  * Add build deps for new version
  * Rebase patches
  * d/copyright: Drop removed licenses

  [ Sébastien Delafond ]
  * d/control: remove myself from uploaders

 -- Bastian Germann <bage@debian.org>  Fri, 19 Apr 2024 18:53:28 +0000

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Andrius Merkys <merkys@debian.org>,
- Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libca-dev,
  libcom-dev,
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all:any,
  python3-numpy,
  python3-numpydoc <!nodoc>,
- python3-setuptools,
- python3-six,
+ python3-setuptools-scm,
  python3-sphinx <!nodoc>,
  python3-wxgtk4.0,
  python3-pyparsing
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://pyepics.github.io/pyepics/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-pyepics
 Vcs-Git: https://salsa.debian.org/science-team/python-pyepics.git
 
@@ -49,6 +49,7 @@
 
 Package: python-pyepics-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: EPICS channel access for Python (common documentation)

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
 
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 export PYBUILD_NAME=pyepics
 export NOLIBCA=1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## python-pyepics 3.5.7%2Bds

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,9 @@
 override_dh_clean:
 	dh_clean
 	$(RM) -r pyepics.egg-info
+
+override_dh_gencontrol:
+	libca=$(shell dpkg-query -W -f '$${Depends}' libca-dev | awk '{print $$1}'); \
+	libcom=$(shell dpkg-query -W -f '$${Depends}' libcom-dev | awk '{print $$1}'); \
+	echo "lib:Depends=$$libca, $$libcom" >> debian/python3-pyepics.substvars
+	dh_gencontrol

## python-pyepics 3.5.7+ds

=== debian/changelog ===
python-pyepics (3.5.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.7+ds
  * Drop runtime dependency on python3-pkg-resources (Closes: #1083689)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 00:16:23 +0100

python-pyepics (3.5.6+ds-2) unstable; urgency=medium

  * Add missing build-dependency on python3-setuptools.
  * Make the package binNMUable by computing the libca and libcom version
    dependency during the build.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 08 Aug 2024 15:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  libca-dev,
  libcom-dev,
- dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all:any,
  python3-numpy,
  python3-numpydoc <!nodoc>,
+ python3-pyparsing,
+ python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
  python3-wxgtk4.0,
- python3-pyparsing
 Standards-Version: 4.7.0
 Homepage: https://pyepics.github.io/pyepics/
 Rules-Requires-Root: no
@@ -28,12 +29,11 @@
 Package: python3-pyepics
 Architecture: amd64
 Depends:
+ ${lib:Depends},
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
- python3-pkg-resources,
- libca4.14.2,
- libcom3.22.0
-Suggests: python-pyepics-doc
+Suggests:
+ python-pyepics-doc,
 Description: EPICS channel access for Python
  PyEpics3 is a Python interface to the EPICS Channel Access (CA) library
  for the Experimental Physics and Industrial Control System (EPICS).
@@ -51,7 +51,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: EPICS channel access for Python (common documentation)
  PyEpics is a Python interface to the EPICS Channel Access (CA) library
  for the Experimental Physics and Industrial Control System (EPICS).

=== debian/watch ===
version=4

opts="mode=git,repacksuffix=+ds,dversionmangle=auto" \
https://github.com/pyepics/pyepics.git refs/tags/(\d\S+)

## python-pyepics 3.5.8+ds

=== debian/changelog ===
python-pyepics (3.5.8+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.8+ds

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Oct 2025 17:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,8 @@
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
  python3-wxgtk4.0,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pyepics.github.io/pyepics/
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-pyepics
 Vcs-Git: https://salsa.debian.org/science-team/python-pyepics.git

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' \
 		python3 -m sphinx -N -b html doc build/html
 
@@ -17,12 +16,10 @@
 	dh_sphinxdoc -p python-pyepics-doc
 endif
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	$(RM) -r pyepics.egg-info
 
-override_dh_gencontrol:
+execute_before_dh_gencontrol:
 	libca=$(shell dpkg-query -W -f '$${Depends}' libca-dev | awk '{print $$1}'); \
 	libcom=$(shell dpkg-query -W -f '$${Depends}' libcom-dev | awk '{print $$1}'); \
 	echo "lib:Depends=$$libca, $$libcom" >> debian/python3-pyepics.substvars
-	dh_gencontrol

=== debian/tests/control ===
Tests: imports
Architecture: amd64
Depends:
 @,

## python-pyepics 3.5.9+ds

=== debian/changelog ===
python-pyepics (3.5.9+ds-1) unstable; urgency=medium

  * New upstream version 3.5.9+ds

 -- Andrius Merkys <merkys@debian.org>  Fri, 06 Feb 2026 04:06:38 -0500

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,8 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinxcontrib-video <!nodoc>,
  python3-wxgtk4.0,
 Standards-Version: 4.7.2
 Homepage: https://pyepics.github.io/pyepics/
